Mute channel
curl --request POST \
--url https://{host}/api/{session}/channels/{id}/mute \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}/mute"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}/mute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Channel muted successfully"
}
Channels
Mute Channel
Mute notifications from a channel
POST
/
api
/
{session}
/
channels
/
{id}
/
mute
Mute channel
Description
This endpoint allows you to mute notifications from a specific channel. You will continue following the channel, but will not receive notifications for updates.URL Parameters
string
required
WhatsApp unique authenticated session ID
string
required
Unique ID of the channel to mute
Response
boolean
Indicates if the channel was muted successfully
{
"success": true,
"message": "Channel muted successfully"
}
Status Codes
200- Channel muted successfully400- Invalid ID or channel is already muted401- Unauthorized404- Channel not found500- Internal server error
Usage Example
curl -X POST https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter/mute
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}/mute`, {
method: 'POST'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.post(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}/mute')
data = response.json()
print(data)
